mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.Stream A cryptographic stream class using transforms that can be chained on other streams.

Multiple CryptoStream can be chained to do multiple cryptographic operations using a single Read or Write operation.

`// we will be writing encrypted data to this file FileStream fs = new File.OpenWrite ("data"); Rijndael aes = Rijndael.Create (); CryptoStream cse = new CryptoStream (fs, aes.CreateEncryptor (), CryptoStreamMode.Write); SHA1 hash = SHA1.Create (); CryptoStream csh = new CryptoStream (cse, hash, CryptoStreamMode.Write); byte[] data = Encoding.UTF8.GetBytes ("http://www.go-mono.com/"); // the data will first be hashed (csh), then encrypted (cse) and finally written to a file (fs) csh.Write (data, 0, data.Length); csh.FlushFinalBlock (); // then we can display the hash (e.g. send it out-of-band) byte[] hash = hash.Hash; Console.WriteLine ("SHA1: {0}", BitConverter.ToString (hash));`
- Constructor
  To be added: an object of type 'IO.Stream'
  To be added: an object of type 'ICryptoTransform'
  To be added: an object of type 'CryptoStreamMode'
  To be added
  An will be thrown if
  The specified stream cannot be read (.) and . is specified.
  The specified stream cannot be written (.) and . is specified.
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Boolean To be added True if the CryptoStream was created with ., false otherwise. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added Always false. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Boolean To be added True if the CryptoStream was created with ., false otherwise. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added This will call if the CryptoStream was opened in mode. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added

  This method can only be called if the CryptoStream was created with .. Calling this method more than one time will also result in a .

  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int64 To be added This property isn't supported on CryptoStream and will always throw a . To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int64 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` `` To be added: an object of type 'long' To be added: an object of type 'IO.SeekOrigin' To be added To be added: an object of type 'long' This method isn't supported on CryptoStream and will always throw a . 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added: an object of type 'long' To be added This method isn't supported on CryptoStream and will always throw a . 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)